Bug 44734 - dump SRPM needs build dependency on readline-devel
Summary: dump SRPM needs build dependency on readline-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 19:42 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 21:47:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-15 19:42:03 UTC
Description of Problem: with the 7.1 product, you cannot build the dump
SRPM without having libtermcap-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/dump*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
libtermcap-devel rpm, the dump SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e libtermcap-devel
 2. rpm -Uvh <tree-path>/SRPMS/dump*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/dump*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/libtermcap-devel*
 5. rpm -ba /usr/src/redhat/SPECS/dump*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
rpm(1)
 next 2 steps build the SRPM without fail


 Expected Results: I would expect an rpm error message to be written to
stderr informing me the dump SRPM cannot be built without installing the
libtermcap-devel RPM.

Additional Information:

Comment 1 Mike A. Harris 2001-06-17 19:25:48 UTC
Thanks Glen, fixed in the 0.4p22-3 release.

Comment 2 Glen Foster 2001-06-28 21:47:08 UTC
Oops, I missed one (dangit)!  The dump SRPM also needs a build-dependency on
readline-devel

Comment 3 Mike A. Harris 2001-06-29 19:21:07 UTC
Fixed in -4 release.


Note You need to log in before you can comment on or make changes to this bug.